## libselinux 2.1.9

=== include/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCDIR ?= $(PREFIX)/include/selinux

all:

install: all
	test -d $(INCDIR) || install -m 755 -d $(INCDIR)
	install -m 644 $(wildcard selinux/*.h) $(INCDIR)

indent:
	../../scripts/Lindent $(wildcard selinux/*.h)
