=== debian/changelog ===
libselinux (2.1.9-2) unstable; urgency=low

  * Moved the python libraries out of the multiarch directory because
    multiarch doesn't seem to work with python.

 -- Russell Coker <russell@coker.com.au>  Tue, 28 Feb 2012 14:19:24 +1100

libselinux (2.1.9-1) unstable; urgency=low

  * New upstream version, lots of man page changes, python related changes,
    and lots of bug fixes.
  * Hacked the build to support multiarch, not sure if it does everything
    that is desired but at least it builds.
  * Added new libselinux1 symbols realpath_not_final, selabel_subs_init,
    selinux_check_access, and selinuxfs_exists.

 -- Russell Coker <russell@coker.com.au>  Mon, 20 Feb 2012 17:31:08 +1100

libselinux (2.1.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - remove comment line since it prevents dch execution
  * debian/patches
    - add fix_FTBFS.patch to adjust path (Closes: #653680)

 -- Hideki Yamane <henrich@debian.org>  Mon, 02 Jan 2012 18:34:40 +0900
