## libselinux 2.1.12

=== debian/changelog ===
libselinux (2.1.12-1) unstable; urgency=low

  * New upstream release for wheezy+1

 -- Russell Coker <russell@coker.com.au>  Sat, 15 Dec 2012 13:58:54 +1100

libselinux (2.1.9-5) unstable; urgency=low

  * Team upload.
  * Do not Conflicts with ruby transitional package, use versionized Breaks
    instead (Closes: #670058)
  * debian/ruby.mk: Also build for ruby1.9.1 now that's the default version
  * debian/gbp.conf: Change default git-buildpackage build-directory

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Jun 2012 08:33:05 +0200

libselinux (2.1.9-4) unstable; urgency=low

  * Team upload.
  * debian/control: Re-add Conflicts/Provides for libselinux1-dev, the Provides
    is still used.

 -- Laurent Bigonville <bigon@debian.org>  Wed, 28 Mar 2012 14:03:32 +0200

libselinux (2.1.9-3) unstable; urgency=low

  * Team upload.
  * debian/control:
    - Bump debhelper build-dependency to 9
    - Move libselinux-ruby1.8 to Priority extra as it's a transitional package
    - Bump Standards-Version to 3.9.3 (no further changes)
    - Drop really old Conflicts/Replaces
    - Bump libselinux1-dev dependency on libsepol1-dev
    - Update Vcs-* fields
    - Bump libsepol1-dev build-dependency so we are sure libdir path is
      correct
    - Put under the Debian SELinux team maintenance
  * debian/libselinux1.lintian-overrides: Drop unused override
  * debian/patches/fix-manpages.patch: Fix section of selinuxexeccon.8
  * debian/patches/allow-libbase-override.patch: Fix .pc file to use multiarch
    path
  * debian/patches/python-link: Do not link against python library
    (Closes: #664291)
  * Add debian/gbp.conf file
  * Drop debian/patches/fix_FTBFS.patch: libsepol.pc is now giving libdir path
  * debian/rules: Append CPPFLAGS hardening flags to CFLAGS

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Mar 2012 21:47:29 +0200
