=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,7 @@
 DEB_HOST_MULTIARCH	:= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR_LIBSEPOL		:= $(shell pkg-config --variable=libdir libsepol)
 
-# for cross compilation
-ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-  PREFIX = /usr
-else
-  PREFIX = /usr/$(DEB_HOST_GNU_TYPE)
-endif
+PREFIX = /usr
 
 ## Default target
 binary:
@@ -24,6 +19,10 @@
 ifneq ($(DEB_HOST_ARCH_OS),linux)
 $(error This is a linux only package. Aborting build.)
 endif
+
+## The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
+## missing (hardening) flags.
+export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
 
 ## Unconditionally run debhelper command targets
 .PHONY: FORCE
@@ -40,7 +39,7 @@
 
 ## Skip python/ruby packages during stage1 build
 ifeq ($(DEB_STAGE),stage1)
-DH_OPTIONS += -Npython-selinux -Nruby-selinux -Nlibselinux-ruby1.8
+DH_OPTIONS += -Npython-selinux -Nruby-selinux
 endif
 
 ## Set up some variables to be passed to the upstream Makefile
@@ -48,7 +47,7 @@
 extra_make_args += ARCH=$(DEB_HOST_GNU_CPU)
 extra_make_args += CC=$(DEB_HOST_GNU_TYPE)-gcc
 override_dh_auto_build: FORCE
-	+$(MAKE) PREFIX="$(PREFIX)" $(extra_make_args) all
+	+$(MAKE) PREFIX="$(PREFIX)" LIBBASE="lib/${DEB_HOST_MULTIARCH}" $(extra_make_args) all
 
 ## Work around the very limited SELinux build-system
 DESTDIR = $(CURDIR)/debian/tmp
@@ -62,12 +61,7 @@
 	+$(MAKE) PREFIX="$(DESTDIR)$(PREFIX)" $(extra_install_args) install
 	@# Fix up the broken library symlink
 	rm -f $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libselinux.so
-	mkdir $(DESTDIR)/selinux
 	ln -s /lib/$(DEB_HOST_MULTIARCH)/libselinux.so.1 $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libselinux.so
-	@# Move manpages for user-accessible tools to section 1
-	install -d -m 755 $(DESTDIR)/usr/share/man/man1
-	mv $(DESTDIR)/usr/share/man/man8/getenforce.8     $(DESTDIR)/usr/share/man/man1/getenforce.1
-	mv $(DESTDIR)/usr/share/man/man8/selinuxenabled.8 $(DESTDIR)/usr/share/man/man1/selinuxenabled.1
 ifneq ($(DEB_STAGE),stage1)
 	+$(MAKE) PREFIX="$(PREFIX)" $(python_extra_install_args) -f debian/python.mk
 	+$(MAKE) PREFIX="$(PREFIX)" $(extra_install_args) -f debian/ruby.mk
