## libselinux 2.3

=== debian/changelog ===
libselinux (2.3-2) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/Add-pcre-version-string.patch: Add pcre version string
    to the compiled file_contexts format. This is necesarry to detect the
    cases where the internal libpcre representation has changed, if it's the
    case libselinux will rely on the non-compiled file (Closes: #756826)
  * Add debian/patches/Log-an-error-on-unknown-classes.patch: Log an error on
    unknown classes and permissions.
  * d/p/libselinux-man-Add-missing-manpage-links-to-security.patch: Add the
    missing manpage links for selinux_mkload_policy(3) and
    selinux_init_load_policy(3) (Closes: #753803)
  * Drop debian/libselinux1.postinst: Reloading systemd during an upgrade in
    an uncontroled way might endup with unwanted side effects (Closes: #753726)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 31 Aug 2014 20:57:58 +0200

libselinux (2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
    - debian/libselinux1.symbols: Add new setexecfilecon() function
  * debian/ruby.mk: Rework the makefile, it should handle changes in the
    supported ruby versions by binNMU now (Closes: #747683)
  * Add Built-Using field for python-selinux as audit2why.so is statically
    linking against libsepol

 -- Laurent Bigonville <bigon@debian.org>  Wed, 14 May 2014 20:13:57 +0200

libselinux (2.2.2-2) unstable; urgency=medium

  * Team upload.
  [ Laurent Bigonville ]
  * debian/rules: Do not require ruby or python dh helpers when bootstrapping
    thanks to Daniel Schepler <dschepler@gmail.com> (Closes: #738148)

  [ Hideki Yamane ]
  * debian/{ruby.mk,ruby-selinux.install}
    - drop related to ruby1.9.1 and add ruby2.1.0 instead (Closes: #746024)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 02 May 2014 01:47:58 +0200
