=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=selinux/libselinux.git;a=summary
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
+Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>,
            Russell Coker <russell@coker.com.au>
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9),
                file,
-               gem2deb (>= 0.2.7~),
-               libsepol1-dev (>= 2.2),
+               gem2deb (>= 0.5.0~),
+               libsepol1-dev (>= 2.3),
                libpcre3-dev,
                pkg-config,
                python-all-dev (>= 2.6.6-3~),
@@ -62,7 +61,7 @@
 Package: libselinux1-dev
 Architecture: linux-any
 Depends: libselinux1 (= ${binary:Version}),
-         libsepol1-dev (>= 2.2),
+         libsepol1-dev (>= 2.3),
          libpcre3-dev,
          ${misc:Depends}
 Section: libdevel
@@ -100,6 +99,7 @@
 Package: python-selinux
 Architecture: linux-any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Built-Using: ${Built-Using}
 Section: python
 Provides: ${python:Provides}
 Description: Python bindings to SELinux shared libraries
