=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 LIBDIR_LIBSEPOL		:= $(shell pkg-config --variable=libdir libsepol)
 
 PREFIX = /usr
+
+BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol1-dev")
 
 ## Default target
 binary:
@@ -31,7 +33,11 @@
 ## By default, pass everything through debhelper automatically
 export DH_OPTIONS
 %: FORCE
+ifeq ($(DEB_STAGE),stage1)
+	@dh $@
+else
 	@dh $@ --with=python2,ruby
+endif
 
 ## Don't try to rebuild the debian/rules file
 debian/rules:
@@ -72,3 +78,6 @@
 ## Generate a hard error for any upstream files we don't install
 override_dh_install: FORCE
 	dh_install --fail-missing
+
+override_dh_gencontrol:
+	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"
