=== debian/changelog ===
libselinux (2.4-3build2) xenial; urgency=medium

  * No-change rebuild for ruby2.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Mar 2016 10:48:05 +0000

libselinux (2.4-3build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:33:24 +0000

libselinux (2.4-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * debian/python.mk: Add $(PYTHON3_VERSIONS) to the PHONY target

 -- Laurent Bigonville <bigon@debian.org>  Wed, 18 Nov 2015 18:11:37 +0100

libselinux (2.4-2) experimental; urgency=medium

  * Team upload.
  * debian/control: Also bump the dependency against libsepol1-dev to 2.4
  * Start building python 3 packages

 -- Laurent Bigonville <bigon@debian.org>  Fri, 10 Jul 2015 22:02:08 +0200

libselinux (2.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Bump libsepol1-dev build-dependency to >= 2.4 to match the release
    - Drop d/p/Add-pcre-version-string.patch,
      d/p/Log-an-error-on-unknown-classes.patch and
      d/p/libselinux-man-Add-missing-manpage-links-to-security.patch: Applied
      upstream.
    - debian/patches/fix-makefile-bugs.patch: Refreshed
  * debian/watch: Update watch file URL
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 03 Jun 2015 08:18:37 +0200
