=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 ifeq ($(DEB_STAGE),stage1)
 	@dh $@
 else
-	@dh $@ --with=python2,ruby
+	@dh $@ --with=python2,python3,ruby
 endif
 
 ## Don't try to rebuild the debian/rules file
@@ -45,7 +45,7 @@
 
 ## Skip python/ruby packages during stage1 build
 ifeq ($(DEB_STAGE),stage1)
-DH_OPTIONS += -Npython-selinux -Nruby-selinux
+DH_OPTIONS += -Npython-selinux -Nruby-selinux -Npython3-selinux
 endif
 
 ## Set up some variables to be passed to the upstream Makefile
